Source: golang-github-ne0nd0g-ja3transport
Section: golang
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-refraction-networking-utls-dev
Standards-Version: 4.6.2
Vcs-Browser: https://gitlab.com/kalilinux/packages/golang-github-ne0nd0g-ja3transport
Vcs-Git: https://gitlab.com/kalilinux/packages/golang-github-ne0nd0g-ja3transport.git
Homepage: https://github.com/Ne0nd0g/ja3transport
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/Ne0nd0g/ja3transport
Testsuite: autopkgtest-pkg-go

Package: golang-github-ne0nd0g-ja3transport-dev
Architecture: all
Depends: golang-refraction-networking-utls-dev,
         ${misc:Depends}
Description: Impersonating JA3 signatures (library)
 This package contains an Go library to mock JA3 easily JA3 signatures. JA3 is
 a method for fingerprinting TLS clients using options in the TLS ClientHello
 packet like SSL version and available client extensions. At its core, this
 method of detecting malicious traffic is marginally better than the User-Agent
 header in HTTP since the client is in control of the ClientHello packet.
 Currently, there is no tooling available to easily craft ClientHello packets,
 so the JA3 hash is a great detection mechanism.
